using System;
using System.Collections;

namespace Html2Rtf
{
	/// <summary>
	/// IntCollection.
	/// </summary>
	internal class IntCollection
	{
		private Hashtable list;

		public IntCollection() : this(10) {}

		public IntCollection(int capacity)
		{
			list = new Hashtable(capacity);
		}

		public int this[object key]
		{
			get
			{
				if(list.ContainsKey(key))
					return (int)list[key];
				else
					return 0;
			}
			set
			{
				if(list.ContainsKey(key))
					list[key] = value;
				else
					list.Add(key, value);
			}
		}

		public int Count
		{
			get { return list.Keys.Count; }
		}
	}
}